<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BookingList StructType
 * @subpackage Structs
 */
class BookingList extends AbstractStructBase
{
    /**
     * The BookingListRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_BookingListRQ
     */
    public $BookingListRQ;
    /**
     * Constructor method for BookingList
     * @uses BookingList::setBookingListRQ()
     * @param \StructType\JP_BookingListRQ $bookingListRQ
     */
    public function __construct(\StructType\JP_BookingListRQ $bookingListRQ = null)
    {
        $this
            ->setBookingListRQ($bookingListRQ);
    }
    /**
     * Get BookingListRQ value
     * @return \StructType\JP_BookingListRQ|null
     */
    public function getBookingListRQ()
    {
        return $this->BookingListRQ;
    }
    /**
     * Set BookingListRQ value
     * @param \StructType\JP_BookingListRQ $bookingListRQ
     * @return \StructType\BookingList
     */
    public function setBookingListRQ(\StructType\JP_BookingListRQ $bookingListRQ = null)
    {
        $this->BookingListRQ = $bookingListRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\BookingList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
